# Enum Class Message.ReferenceType

java.lang.Object
java.lang.Enum<Message.ReferenceType>
org.eclipse.e4.core.services.nls.Message.ReferenceType

All Implemented Interfaces:
  `Serializable, Comparable<Message.ReferenceType>, Constable`

Enclosing class:
  `Message`

public static enum Message.ReferenceType extends Enum<Message.ReferenceType>
Caching behaviors.

Since:
  1.2
See Also:
  - `Message`

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
`SOFT`
`WEAK`

## Method Summary

Modifier and Type
Method
Description
`static Message.ReferenceType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Message.ReferenceType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Message.ReferenceType NONE

### SOFT

public static final Message.ReferenceType SOFT

### WEAK

public static final Message.ReferenceType WEAK

## Method Details

### values

public static Message.ReferenceType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Message.ReferenceType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null